Bug 1686710 - [GSS] ceph-medic check failing for ceph cluster running inside container
Summary: [GSS] ceph-medic check failing for ceph cluster running inside container
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Ceph Storage
Classification: Red Hat
Component: Ceph-Medic
Version: 3.2
Hardware: x86_64
OS: Linux
medium
medium
Target Milestone: rc
: 4.0
Assignee: Andrew Schoen
QA Contact: Madhavi Kasturi
Aron Gunn
URL:
Whiteboard:
Depends On:
Blocks: 1730176
TreeView+ depends on / blocked
 
Reported: 2019-03-08 05:11 UTC by Prashant Dhange
Modified: 2020-01-31 12:46 UTC (History)
6 users (show)

Fixed In Version: ceph-medic-1.0.5-1.el8cp
Doc Type: Enhancement
Doc Text:
.`ceph-medic` can check the health of Ceph running in containers With this release, the `ceph-medic` utility can now check the health of a {storage-product} cluster running within a container.
Clone Of:
Environment:
Last Closed: 2020-01-31 12:45:38 UTC
Target Upstream Version:
pdhange: automate_bug?


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0312 0 None None None 2020-01-31 12:46:06 UTC

Comment 3 Alfredo Deza 2019-03-08 13:17:48 UTC
We don't recommend ceph-medic for containerized deployments yet, but this problem has just been fixed in the master branch upstream.

Comment 4 Alfredo Deza 2019-03-08 13:22:06 UTC
The upstream commit where this is improved/fixed is: https://github.com/ceph/ceph-medic/commit/84b6c765f6e17038c8ab2527ee825715640d97f9

Maybe the patch can be applied to see if it helps?

Comment 8 Giridhar Ramaraju 2019-08-05 13:11:56 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 9 Giridhar Ramaraju 2019-08-05 13:12:48 UTC
Updating the QA Contact to a Hemant. Hemant will be rerouting them to the appropriate QE Associate. 

Regards,
Giri

Comment 14 Alfredo Deza 2020-01-09 21:15:55 UTC
I've updated the doc text which indicates this is an enhancement. More detailed docs about this are in upstream: https://docs.ceph.com/ceph-medic/master/#inventory-for-containers

Comment 16 errata-xmlrpc 2020-01-31 12:45:38 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0312


Note You need to log in before you can comment on or make changes to this bug.